import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { CommonsUIModule } from '@overflow/commons/ui/commons-ui.module';

import { HomePageComponent } from './home-page.component';
import { HomePageRoutingModule } from './home-page-routing.module';
import { CommonsModule } from '../../../commons/commons.module';
import { DiscoveryConfigService } from '../../../commons/service/discovery-config.service';

@NgModule({
  imports: [
    CommonModule,
    CommonsUIModule,
    HomePageRoutingModule,
    CommonsModule
  ],
  entryComponents: [
  ],
  declarations: [HomePageComponent],
  providers: [
    DiscoveryConfigService
  ]
})
export class HomePageModule { }
